Support » Fixing WordPress » problem while upgrading

  • My site http://wizardspost.com/ is WORKING but a strange problem has appeared.
    I was UPGRADING to wordpress latest version when it stalled ( I think) On refreshing it gave the following messages:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘__return_zero’ was given in /home/wizard/public_html/wordpress/wp-includes/plugin.php on line 166

    Fatal error: Call to undefined function is_multisite() in /home/wizard/public_html/wordpress/wp-login.php on line 85

    Now I cannot login to my wp-admin.
    Can anyone suggest what I should do.

Viewing 5 replies - 1 through 5 (of 5 total)
  • looks like a plugin problem
    ftp to site or use host’s file manager to rename the /plugins folder
    this will deactivate the plugins and allow you to log in
    rename folder back to normal and activate plugins one by one until you find offender

    I went to public_html and tried changing Plugins folder in wp-includes. That made it give an additional error and the website too stopped opening.
    So, I restored the original and at least the site started opening again but my problem of not being able to log in for dashboard

    Please could you TRY OUT http://wizardspost.com/wordpress/wp-login to know

    plugin folder is in wp-content, not wp-includes

    you do not want to change this file: wp-includes/plugin.php

    you want to rename the wp-content/plugins folder, this weill deactivate all plugins

    Ok, Thanks
    I did that but still shows the same error as
    ( wonder if there is time gap till it takes effect)

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘__return_zero’ was given in /home/wizard/public_html/wordpress/wp-includes/plugin.php on line 166

    Fatal error: Call to undefined function is_multisite() in /home/wizard/public_html/wordpress/wp-login.php on line 85

    Any suggestions?
    I dont want to loose my work by reintalling the full wordpress from site

    I downloaded wordpress 3.0.1 and installed it.

    Good result – The page loads and I can also login to http://wizardspost.com/wordpress/wp-admin/ AND see my dashboard. All the links seem to work properly EXCEPT PLUGINS.

    Bad Result – When I click on Plugins on the dashboard I get this error :

    Not Found

    The requested URL /wordpress/wp-admin/plugins.php was not found on this server.

    Additionally, a 404 Not Found error was encountered while trying to use an Error Document to handle the request.

    On checking the files I note that plugins.php is in wp-admin > includes and another one in wp-includes

    Any suggestions what I should do? Incidentally, I had only ONE plugin active ( adsense-delux.php)
    SAME result when I rename wp-content/plugins folder

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘problem while upgrading’ is closed to new replies.